//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2012.02.01 at 03:58:26 PM CET 
//

package net.ihe.gazelle.app.validationservice.adapter.reportmodel;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.namespace.QName;
import java.math.BigInteger;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the net.ihe.gazelle.validation package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 */
@XmlRegistry
public class ObjectFactory {

    private static final QName _ValidationServiceName_QNAME = new QName("",
            "ValidationServiceName");
    private static final QName _Result_QNAME = new QName("", "Result");
    private static final QName _ValidationTime_QNAME = new QName("",
            "ValidationTime");
    private static final QName _Description_QNAME = new QName("", "Description");
    private static final QName _NrOfValidationErrors_QNAME = new QName("",
            "NrOfValidationErrors");
    private static final QName _ValidationTestResult_QNAME = new QName("",
            "ValidationTestResult");
    private static final QName _NrOfValidationReports_QNAME = new QName("",
            "NrOfValidationReports");
    private static final QName _Location_QNAME = new QName("", "Location");
    private static final QName _NrOfValidationWarnings_QNAME = new QName("",
            "NrOfValidationWarnings");
    private static final QName _Test_QNAME = new QName("", "Test");
    private static final QName _NrOfValidationNotes_QNAME = new QName("",
            "NrOfValidationNotes");
    private static final QName _NrOfChecks_QNAME = new QName("", "NrOfChecks");
    private static final QName _NrOfValidationUnknown_QNAME = new QName("",
            "NrOfValidationUnknown");
    private static final QName _ValidationDate_QNAME = new QName("",
            "ValidationDate");
    private static final QName _NrOfValidationInfos_QNAME = new QName("",
            "NrOfValidationInfos");

    /**
     * Create a new ObjectFactory that can be used to create new instances of
     * schema derived classes for package: net.ihe.gazelle.validation
     */
    public ObjectFactory() {
        // empty constructor
    }

    /**
     * Create an instance of {@link Warning }
     */
    public Warning createWarning() {
        return new Warning();
    }

    /**
     * Create an instance of {@link Info }
     */
    public Info createInfo() {
        return new Info();
    }

    /**
     * Create an instance of {@link ValidationResultsOverview }
     */
    public ValidationResultsOverview createValidationResultsOverview() {
        return new ValidationResultsOverview();
    }

    /**
     * Create an instance of {@link DocumentWellFormed }
     */
    public DocumentWellFormed createDocumentWellFormed() {
        return new DocumentWellFormed();
    }

    /**
     * Create an instance of {@link XSDMessage }
     */
    public XSDMessage createXSDMessage() {
        return new XSDMessage();
    }

    /**
     * Create an instance of {@link Error }
     */
    public Error createError() {
        return new Error();
    }

    /**
     * Create an instance of {@link DetailedResult }
     */
    public DetailedResult createDetailedResult() {
        return new DetailedResult();
    }

    /**
     * Create an instance of {@link Note }
     */
    public Note createNote() {
        return new Note();
    }

    /**
     * Create an instance of {@link DocumentValidXSD }
     */
    public DocumentValidXSD createDocumentValidXDW() {
        return new DocumentValidXSD();
    }

    /**
     * Create an instance of {@link MDAValidation }
     */
    public MDAValidation createMDAValidation() {
        return new MDAValidation();
    }

    /**
     * Create an instance of {@link ValidationCounters }
     */
    public ValidationCounters createValidationCounters() {
        return new ValidationCounters();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     */
    @XmlElementDecl(namespace = "", name = "ValidationServiceName")
    public JAXBElement<String> createValidationServiceName(String value) {
        return new JAXBElement<>(_ValidationServiceName_QNAME,
                String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     */
    @XmlElementDecl(namespace = "", name = "Result")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createResult(String value) {
        return new JAXBElement<>(_Result_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     */
    @XmlElementDecl(namespace = "", name = "ValidationTime")
    public JAXBElement<String> createValidationTime(String value) {
        return new JAXBElement<>(_ValidationTime_QNAME, String.class,
                null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     */
    @XmlElementDecl(namespace = "", name = "Description")
    public JAXBElement<String> createDescription(String value) {
        return new JAXBElement<>(_Description_QNAME, String.class, null,
                value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }
     * {@code >}
     */
    @XmlElementDecl(namespace = "", name = "NrOfValidationErrors")
    public JAXBElement<BigInteger> createNrOfValidationErrors(BigInteger value) {
        return new JAXBElement<>(_NrOfValidationErrors_QNAME,
                BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     */
    @XmlElementDecl(namespace = "", name = "ValidationTestResult")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    public JAXBElement<String> createValidationTestResult(String value) {
        return new JAXBElement<>(_ValidationTestResult_QNAME,
                String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }
     * {@code >}
     */
    @XmlElementDecl(namespace = "", name = "NrOfValidationReports")
    public JAXBElement<BigInteger> createNrOfValidationReports(BigInteger value) {
        return new JAXBElement<>(_NrOfValidationReports_QNAME,
                BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     */
    @XmlElementDecl(namespace = "", name = "Location")
    public JAXBElement<String> createLocation(String value) {
        return new JAXBElement<>(_Location_QNAME, String.class, null,
                value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }
     * {@code >}
     */
    @XmlElementDecl(namespace = "", name = "NrOfValidationWarnings")
    public JAXBElement<BigInteger> createNrOfValidationWarnings(BigInteger value) {
        return new JAXBElement<>(_NrOfValidationWarnings_QNAME,
                BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     */
    @XmlElementDecl(namespace = "", name = "Test")
    public JAXBElement<String> createTest(String value) {
        return new JAXBElement<>(_Test_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }
     * {@code >}
     */
    @XmlElementDecl(namespace = "", name = "NrOfValidationNotes")
    public JAXBElement<BigInteger> createNrOfValidationNotes(BigInteger value) {
        return new JAXBElement<>(_NrOfValidationNotes_QNAME,
                BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }
     * {@code >}
     */
    @XmlElementDecl(namespace = "", name = "NrOfChecks")
    public JAXBElement<BigInteger> createNrOfChecks(BigInteger value) {
        return new JAXBElement<>(_NrOfChecks_QNAME, BigInteger.class,
                null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }
     * {@code >}
     */
    @XmlElementDecl(namespace = "", name = "NrOfValidationUnknown")
    public JAXBElement<BigInteger> createNrOfValidationUnknown(BigInteger value) {
        return new JAXBElement<>(_NrOfValidationUnknown_QNAME,
                BigInteger.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     */
    @XmlElementDecl(namespace = "", name = "ValidationDate")
    public JAXBElement<String> createValidationDate(String value) {
        return new JAXBElement<>(_ValidationDate_QNAME, String.class,
                null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BigInteger }
     * {@code >}
     */
    @XmlElementDecl(namespace = "", name = "NrOfValidationInfos")
    public JAXBElement<BigInteger> createNrOfValidationInfos(BigInteger value) {
        return new JAXBElement<>(_NrOfValidationInfos_QNAME,
                BigInteger.class, null, value);
    }

}
